<template>
  <q-page class="">
    <div class="q-pa-md row items-start q-gutter-md">
      <q-card class="my-card  col-6">
        <q-card-section class="bg-primary">
          <q-toolbar class="bg-primary text-white">
            <q-toolbar-title>Taxonomy viewer</q-toolbar-title>
            <q-item-label>kenniscentrum XBRL</q-item-label>
          </q-toolbar>
        </q-card-section>
        <q-separator />
        <q-card-section horizontal>
          <q-card-section class="fa">
            <p>Gebruik de taxonomy-viewer om inzicht te krijgen in de diverse rapportages die via XBRL gerapporteerd kunnen/moeten worden.</p>
            <p>Links ziet u een lijst van de rapportages die deel uit maken van de Nederlandse Taxonomie Architectuur; kortweg <strong>NTA</strong>. Klik er een aan en bekijk wat er allemaal in de rapportage zit.</p>
            <p>Je kan ook zoeken binnen de de taxonomieen, met filters op de verschillende entrypoints en de verschillende elementen.</p>
          </q-card-section>
          <q-card-section>
            <img
              alt="Nessie logo"
              src="~assets/nessie.png"
              style="width: 200px; height: 200px"
            >
          </q-card-section>
      </q-card-section>
    </q-card>
      <q-card class="news  col-4">
        <q-card-section class="bg-deep-orange text-white">
          <div class="text-h6">Kenniscentrum XBRL Nieuws</div>
        </q-card-section>
        <q-item clickable onclick="window.location('https://www.logius.nl/actueel/kenniscentrum-xbrl-officieel-van-start')">
            Kenniscentrum XBRL officieel van start
        </q-item>
        <q-item>
          <a href="https://www.logius.nl/verhalen/kenniscentrum-xbrl-heeft-centrale-rol-ontwikkelen-en-borgen-van-sbr-kennis">
              Kenniscentrum XBRL heeft centrale rol in ontwikkelen en borgen van SBR-kennis
          </a>
        </q-item>
        <q-item>
          <a href="https://www.logius.nl/actueel/foutmelding-bij-aanleveren-kvk-dit-kunt-u-doen">
              Foutmelding bij aanleveren KVK. Dit kunt u doen
          </a>
        </q-item>
        <q-item-label>bron: <a href="https://www.logius.nl/zoeken?search_api_fulltext=xbrl&f%5B0%5D=content_type%3Alongread&f%5B1%5D=content_type%3Anieuws_pagina"
        >Zoeken XBRL</a></q-item-label>
      </q-card>
      <q-card class="updates  col-6">
        <q-card-section class="bg-green text-white">
          <div class="text-h6"> Update historie</div>
        </q-card-section>
        <q-card-section class="fa">
          <q-expansion-item label="Januari 2022" default-opened dense>
            <ul>
              <li>Totaal rij wordt getoond bij overige schulden specifitactie</li>
              <li>Preferred-labels op abstracts. We tonen nu het gewone label. (parser bug, bij de volgende release is ook het 'pilletje' met de preferred label aanduiding weg.</li>
              <li>Referenties filterbaar per bron, lijst-informatie uitgebreid met 'name'</li>
              <li>Lege substitutiongroup uit de concept filters gehaald</li>
              <li>Detailscherm toegevoegd bij het Label overzicht</li>
              <li>Labels algemeen. Toon de id of de naam van het object waarvoor het label niet kan worden gevonden (ipv niets)</li>
              <li>Volledige NT16 Definitief ingeladen</li>
              <li>Rendering dimensionele X-as verbeterd</li>
              <li>Meer consistentie in kleurgebruik</li>
            </ul>
          </q-expansion-item>
          <q-expansion-item label="December 2021" default-opened dense>
            <ul>
              <li>detailscherm ook op tabeltabblad (12/22)</li>
              <li>achtergrondkleur dropdownlist Entrypoints (12/22)</li>
              <li>Beter 'gebruikte talen'-filter. Belastingdienst heeft nu alleen 'NL' alstaal-optie (12/22)</li>
              <li>Meer schermen in dezelfde kleur, basis-kleuren zijn met variabelen in te stellen (12/22)</li>
              <li>Sluitkruisje op detailscherm</li>
              <li>Betere filtering van niet-opgenomen elementen uit de DTS</li>
              <li><em>Table of Contents</em> niet in presentation hierarchielijst opnemen</li>
              <li>Interfacekleuren 'rechttrekken' envariabel maken.</li>
              <li>Referenties op eigen tabblad</li>
              <li>Dimensions filterbaar op 'explicit only'</li>
              <li>Snelheid rendering tabblad verbeterd.</li>
              <li>Typed dimensions krijgen een indicator in de lijst en een extra heading</li>
              <li>Rendering laadt alleen tabellen die in beeld zijn.</li>
              <li>Gerenderde tabel ook op het tabel-tabblad</li>
              <li>Variabelen uit het tabel-tabblad verwijderd</li>
              <li>Render-tabblad, de lijst scrollt mee met het detailscherm</li>
              <li>Deployment op taxonomie-viewer.logius.nl</li>
              <li>Namespace toegevoegd aan Concept-detail</li>
              <li>Z-As duidelijker onderscheiden</li>
            </ul>
          </q-expansion-item>
          <q-expansion-item label="November 2021" default-opened dense>
            <ul>
              <li>(onzichtbaar; backend en deployment)</li>
              <li>Entrypointkiezer als <span class="text-red">rode knop</span></li>
              <li>Tabje 'Kies DTS' is verdwenen.</li>
              <li>Linkroles tonen nu ook een eventuele presentatie</li>
              <li>Presentation hierarchies hebben een eigen tab</li>
              <li>Verbeterde tabel-rendering (ongoing)</li>
              <li>Linkroles: tonen nu labels ipv definition, en zijn nu dus ook meertalig</li>
              <li>Scroll into view. Gedeelde links scrollen naar het gedeelde item en blijven niet bovenaan de pagina hangen</li>
              <li>Lijsten scrollen het active item in de viewport als ze er buiten hangen.</li>
              <li>Filteren in Linkroles gebeurt in de gekozen taal (bedoeling om overal te doen)</li>
              <li>Labels op de Z-As van tabellen</li>
              <li>Itemtypes en Concepten beperkt op gebrukt in Entrypoint</li>
              <li>Parent-Child-Order in tabellen ook voor dimensions correct</li>
            </ul>
          </q-expansion-item>
          <q-expansion-item label="Oktober 2021" default-opened dense>
            <ul>
              <li>Tabel inhoud iets uitgebreider maken.</li>
              <li>Opschoningen inhoudsopgave in de rendering</li>
              <li>Presentation hernoemd naar Rendering</li>
              <li>Entrypoints zonder 'table of contents' toch tonen op Rendescherm</li>
              <li>Verbeteringen aan de table rendering.</li>
              <li>Dimensions overzicht</li>
              <li>Detailscherm rechts 'vast' in beeld. <del>Click stops op 25 en 50 procent</del></li>
              <li>Hernoemen Hypercube naar Definition Link</li>
              <li>Dimensional Members ook hierarchisch in Tabelheadings tonen</li>
              <li>Parent child order gebruiken voor het renderen van de tabellen
                <em>(in een aantal gevallen wordt nog onterecht parent-first gekozen)</em></li>
            </ul>
          </q-expansion-item>
          <q-expansion-item label="September 2021" default-opened dense>
            <ul>
              <li>Presentation list kan in compact modus (zonder tussenkopjes)</li>
              <li>Taalkeuze voor labels</li>
              <li>Zoeken op labels (alfa, traag)</li>
              <li>Hypercube hernoemd naar Definition Link</li>
              <li>Categorie linkroles laten zien waarvoor ze de target zijn</li>
              <li>Nieuwe methode om tabellen te renderen</li>
              <li>Inzicht waar een concept voorkomt in het huidige Entrypoint</li>
              <li>Visuele verbeteringen en consistentie</li>
            </ul>
          </q-expansion-item>
          <q-expansion-item label="Juli 2021" default-opened dense>
            <ul>
              <li>Presentation toont tabellen ipv linkrole inhoud</li>
              <li>Preferred labels met achtergrondkleur zichtbaar in tabellen</li>
              <li>Concepten laten naast het itemtype nu ook de eventuele enumeratie zien</li>
              <li>Z-As zichtbaar in tabel als table-footer</li>
            </ul>
          </q-expansion-item>
          <q-expansion-item label="Juni 2021" dense>
            <ul>
              <li>Concepten filterbaar op 'Abstract' / 'Rapporteerbaar'</li>
              <li>Concepten filterbaar op datatype</li>
              <li>Concepten filterbaar op substitution group</li>
              <li>Concepten tekst filterbaar</li>
              <li>Achtergrondkleur per type Concept</li>
              <li>DTS tekst filterbaar</li>
            </ul>
          </q-expansion-item>
        </q-card-section>
      </q-card>
      <q-card class=" col-4">
        <q-card-section class="bg-deep-purple text-white">
          <div class="text-h6">Openstaand:</div>
        </q-card-section>
        <ul>
          <li>Zie ook: <a href="https://trello.com/b/yayAr0PC/nessie-backlog">Trello</a>!</li>
          <li>X-As informatie ook in detailscherm tonen</li>
          <li>Exports en overzichten?</li>
          <li>Niet alle IFRS tables worden goed geimporteerd en kunnen dus incompleet in de overzichten staan</li>
          <li>Universeel zoeken</li>
        </ul>
      </q-card>
    </div>
  </q-page>
</template>

<script>
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'Welcome',
  components: {}
})
</script>
